import React, { useMemo } from "react";
import { locales } from "@pisell/utils";
import { PisellModal } from "@pisell/materials";
import "./index.less";
//#region src/components/eventBooking/components/Provider/EmptyHolderModal/index.tsx
const EmptyHolderModal = (props) => {
	const { open, onCancel, onOk, lists } = props;
	const content = useMemo(() => {
		return /* @__PURE__ */ React.createElement("div", { className: "event-booking-empty-holder-describe" }, /* @__PURE__ */ React.createElement("span", null, locales.getText("pisell2.event.empty.holder.tip")), /* @__PURE__ */ React.createElement("ul", null, lists.map((item, index) => {
			return /* @__PURE__ */ React.createElement("li", { key: index }, item);
		})), /* @__PURE__ */ React.createElement("span", null, locales.getText("pisell2.event.empty.holder.continue.tip")));
	}, [lists]);
	return /* @__PURE__ */ React.createElement(PisellModal.Information, {
		open,
		title: locales.getText("pisell2.event.empty.holder.title"),
		describe: content,
		okText: locales.getText("pisell2.event.empty.holder.continue.anyway"),
		cancelText: locales.getText("pisell2.event.empty.holder.go.back"),
		closable: true,
		onCancel: () => onCancel(),
		onOk: () => onOk()
	});
};
//#endregion
export { EmptyHolderModal as default };
